#! /usr/local/bin/python
#
# scrolled_list.py - demo of the ScrolledList widget in TkXtra
#

import TkXtra
tkx=TkXtra

EXPLANATION = """This is a TkXtra scrolled list. The scrollbars appear
and disappear as required. Resize in the Y direction to see this.
Double clicking on an item invokes a callback which prints the
line you double clicked on. At present there is a BUG which
sometimes prevents the scrollbars from being drawn until the
first resize."""

CONTENT_LIST = ['Ankara', 'Bangalore', 'Cairo', 'Dublin', 'Edmonton', 'Ghent',
		'London', 'Paris', 'Rome', 'Tokyo', 'Washington']

class Demo:
    def __init__(self, root):
	self.master = root
	self.msg = tkx.Label(root, text=EXPLANATION)
	btn = tkx.Button(root, text='Dismiss', command=self.exit)
	self.list = tkx.ScrolledList(root, init_vals=CONTENT_LIST,
				     dbl_click=self.dbl_click)
	self.msg.pack(side=tkx.TOP, expand=0, fill=tkx.X)
	btn.pack(side=tkx.TOP, expand=0, fill=tkx.X)
	self.list.pack(side=tkx.BOTTOM, expand=1, fill=tkx.BOTH)

    def dbl_click(self, item):
	print "You want to go to '" + item + "'"

    def exit(self, event=None):
	self.master.destroy()

def RunSample(root):
    root.minsize(10, 10)
    demo = Demo(root)
    root.mainloop()

if __name__ == '__main__':
    RunSample(tkx.Tk())
