#! /usr/local/bin/python
#
# scrolled_text.py - demo of the ScrolledText widget in TkXtra
#

import TkXtra
tkx=TkXtra

EXPLANATION = """This is a TkXtra scrolled text widget. The scrollbars appear
and disappear as required. Resize in either direction to see this.
At present there is a BUG which sometimes prevents the scrollbars
from being drawn until the first resize."""

CONTENTS = """ This widget like the ScrolledList widget is subclassed from the
general ScrolledWidget class. To see how easy it is to create a
new kind of scrolled widget, the source for ScrolledText is shown
below -

# A Text widget with (optionally displayed) scrollbars. 
# The Text is accessible as .text
class ScrolledText(Frame, ScrolledWidget):
    def __init__(self, master=None, scrollbar=AUTO, cnf={}, **kw):
	if kw:
	    cnf = _cnfmerge((cnf, kw))
	else:
	    cnf = _cnfmerge(cnf)
	Frame.__init__(self, master, cnf)

	self.text = Text(self, wrap=NONE)
	self.text.pack(side=LEFT, expand=1, fill=BOTH)

	ScrolledWidget.__init__(self, scrollbar=scrollbar, widget=self.text)
"""

class Demo:
    def __init__(self, root):
	self.master = root
	self.msg = tkx.Label(root, text=EXPLANATION)
	btn = tkx.Button(root, text='Dismiss', command=self.exit)
	self.stext = tkx.ScrolledText(root)
	self.stext.text.insert(tkx.END, CONTENTS)
	self.msg.pack(side=tkx.TOP, expand=0, fill=tkx.X)
	btn.pack(side=tkx.TOP, expand=0, fill=tkx.X)
	self.stext.pack(side=tkx.BOTTOM, expand=1, fill=tkx.BOTH)

    def exit(self, event=None):
	self.master.destroy()

def RunSample(root):
    root.minsize(10, 10)
    demo = Demo(root)
    root.mainloop()

if __name__ == '__main__':
    RunSample(tkx.Tk())
